<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
</head>
<body>
	<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<script type="text/javascript">
		window.addEventListener("load", function(){
		let caja=document.querySelector("#btn");
		let v=document.querySelector("#caja2");
		caja.addEventListener("click", function(){

			let ventana=window.open();

			ventana.document.write(v.value);
		});
		});
	</script>
</head>
<body>
	<input type="text" name="nombredelacaja" value="Contenido de la caja de texto" id="caja2">
	<button type="" id="btn">Pulsa</button>
</body>
</html>
</body>
</html>